package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting;

import java.math.BigDecimal;
import java.util.Date;

public class QchjcOrderGoodsEntity {
    private Long id;

    private Long unifiedId;

    private String customerAccountingOrderSn;

    private String supplierAccountingOrderSn;

    private String orderSn;

    private String goodsName;

    private String goodsAlias;

    private String goodsId;

    private String outSnapshotOrderGoodsId;

    private Integer goodsType;

    private Integer quantity;

    private String unit;

    private BigDecimal sellingPrice;

    private BigDecimal costPrice;

    private String fiscalCode;

    private String taxCode;

    private BigDecimal taxRate;

    private String merchTaxId;

    private String merchTaxCode;

    private BigDecimal merchTaxRate;

    private String operationTaxId;

    private String operationTaxCode;

    private BigDecimal operationTaxRate;

    private String cateIdLv1;

    private String cateNameLv1;

    private String cateIdLv2;

    private String cateNameLv2;

    private String cateIdLv3;

    private String cateNameLv3;

    private String selfOption;

    private Integer direction;

    private Integer goodsLockingCustomer;

    private Integer goodsLockingSupplier;

    private Integer accountingStateCustomer;

    private Integer accountingStateSupplier;

    private Integer backAccountStatus;

    private String refundOrderSn;

    private Date createTime;

    private String createUserId;

    private Date updateTime;

    private String updateUserId;

    private String goodsParams;

    private Date syncTime;

    private Integer storageStatus;

    private Date storageTime;

    private Long unifiedCreditId;

    private Long unifiedOrderId;

    private Long qchCustomerInvoiceApplyId;

    private Long qchSupplierInvoiceApplyId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnifiedId() {
        return unifiedId;
    }

    public void setUnifiedId(Long unifiedId) {
        this.unifiedId = unifiedId;
    }

    public String getCustomerAccountingOrderSn() {
        return customerAccountingOrderSn;
    }

    public void setCustomerAccountingOrderSn(String customerAccountingOrderSn) {
        this.customerAccountingOrderSn = customerAccountingOrderSn;
    }

    public String getSupplierAccountingOrderSn() {
        return supplierAccountingOrderSn;
    }

    public void setSupplierAccountingOrderSn(String supplierAccountingOrderSn) {
        this.supplierAccountingOrderSn = supplierAccountingOrderSn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsAlias() {
        return goodsAlias;
    }

    public void setGoodsAlias(String goodsAlias) {
        this.goodsAlias = goodsAlias;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getOutSnapshotOrderGoodsId() {
        return outSnapshotOrderGoodsId;
    }

    public void setOutSnapshotOrderGoodsId(String outSnapshotOrderGoodsId) {
        this.outSnapshotOrderGoodsId = outSnapshotOrderGoodsId;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Integer goodsType) {
        this.goodsType = goodsType;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public BigDecimal getSellingPrice() {
        return sellingPrice;
    }

    public void setSellingPrice(BigDecimal sellingPrice) {
        this.sellingPrice = sellingPrice;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public String getFiscalCode() {
        return fiscalCode;
    }

    public void setFiscalCode(String fiscalCode) {
        this.fiscalCode = fiscalCode;
    }

    public String getTaxCode() {
        return taxCode;
    }

    public void setTaxCode(String taxCode) {
        this.taxCode = taxCode;
    }

    public BigDecimal getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }

    public String getMerchTaxId() {
        return merchTaxId;
    }

    public void setMerchTaxId(String merchTaxId) {
        this.merchTaxId = merchTaxId;
    }

    public String getMerchTaxCode() {
        return merchTaxCode;
    }

    public void setMerchTaxCode(String merchTaxCode) {
        this.merchTaxCode = merchTaxCode;
    }

    public BigDecimal getMerchTaxRate() {
        return merchTaxRate;
    }

    public void setMerchTaxRate(BigDecimal merchTaxRate) {
        this.merchTaxRate = merchTaxRate;
    }

    public String getOperationTaxId() {
        return operationTaxId;
    }

    public void setOperationTaxId(String operationTaxId) {
        this.operationTaxId = operationTaxId;
    }

    public String getOperationTaxCode() {
        return operationTaxCode;
    }

    public void setOperationTaxCode(String operationTaxCode) {
        this.operationTaxCode = operationTaxCode;
    }

    public BigDecimal getOperationTaxRate() {
        return operationTaxRate;
    }

    public void setOperationTaxRate(BigDecimal operationTaxRate) {
        this.operationTaxRate = operationTaxRate;
    }

    public String getCateIdLv1() {
        return cateIdLv1;
    }

    public void setCateIdLv1(String cateIdLv1) {
        this.cateIdLv1 = cateIdLv1;
    }

    public String getCateNameLv1() {
        return cateNameLv1;
    }

    public void setCateNameLv1(String cateNameLv1) {
        this.cateNameLv1 = cateNameLv1;
    }

    public String getCateIdLv2() {
        return cateIdLv2;
    }

    public void setCateIdLv2(String cateIdLv2) {
        this.cateIdLv2 = cateIdLv2;
    }

    public String getCateNameLv2() {
        return cateNameLv2;
    }

    public void setCateNameLv2(String cateNameLv2) {
        this.cateNameLv2 = cateNameLv2;
    }

    public String getCateIdLv3() {
        return cateIdLv3;
    }

    public void setCateIdLv3(String cateIdLv3) {
        this.cateIdLv3 = cateIdLv3;
    }

    public String getCateNameLv3() {
        return cateNameLv3;
    }

    public void setCateNameLv3(String cateNameLv3) {
        this.cateNameLv3 = cateNameLv3;
    }

    public String getSelfOption() {
        return selfOption;
    }

    public void setSelfOption(String selfOption) {
        this.selfOption = selfOption;
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public Integer getGoodsLockingCustomer() {
        return goodsLockingCustomer;
    }

    public void setGoodsLockingCustomer(Integer goodsLockingCustomer) {
        this.goodsLockingCustomer = goodsLockingCustomer;
    }

    public Integer getGoodsLockingSupplier() {
        return goodsLockingSupplier;
    }

    public void setGoodsLockingSupplier(Integer goodsLockingSupplier) {
        this.goodsLockingSupplier = goodsLockingSupplier;
    }

    public Integer getAccountingStateCustomer() {
        return accountingStateCustomer;
    }

    public void setAccountingStateCustomer(Integer accountingStateCustomer) {
        this.accountingStateCustomer = accountingStateCustomer;
    }

    public Integer getAccountingStateSupplier() {
        return accountingStateSupplier;
    }

    public void setAccountingStateSupplier(Integer accountingStateSupplier) {
        this.accountingStateSupplier = accountingStateSupplier;
    }

    public Integer getBackAccountStatus() {
        return backAccountStatus;
    }

    public void setBackAccountStatus(Integer backAccountStatus) {
        this.backAccountStatus = backAccountStatus;
    }

    public String getRefundOrderSn() {
        return refundOrderSn;
    }

    public void setRefundOrderSn(String refundOrderSn) {
        this.refundOrderSn = refundOrderSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getGoodsParams() {
        return goodsParams;
    }

    public void setGoodsParams(String goodsParams) {
        this.goodsParams = goodsParams;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public Integer getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(Integer storageStatus) {
        this.storageStatus = storageStatus;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }

    public Long getUnifiedCreditId() {
        return unifiedCreditId;
    }

    public void setUnifiedCreditId(Long unifiedCreditId) {
        this.unifiedCreditId = unifiedCreditId;
    }

    public Long getUnifiedOrderId() {
        return unifiedOrderId;
    }

    public void setUnifiedOrderId(Long unifiedOrderId) {
        this.unifiedOrderId = unifiedOrderId;
    }

    public Long getQchCustomerInvoiceApplyId() {
        return qchCustomerInvoiceApplyId;
    }

    public void setQchCustomerInvoiceApplyId(Long qchCustomerInvoiceApplyId) {
        this.qchCustomerInvoiceApplyId = qchCustomerInvoiceApplyId;
    }

    public Long getQchSupplierInvoiceApplyId() {
        return qchSupplierInvoiceApplyId;
    }

    public void setQchSupplierInvoiceApplyId(Long qchSupplierInvoiceApplyId) {
        this.qchSupplierInvoiceApplyId = qchSupplierInvoiceApplyId;
    }
}